Subject: Re: Trailing commandline arguments not allowed.
From: "George Hester" <[email-masked]>
To: [email-masked]
Date: Mon, 22 Mar 2004 20:54:18 -0500

Well all I know is I have had to put in a completely new Cygwin.
After that Apache is working again.
Needless to say I will not try running again as a service until
I can find a foolproof way of installing it.  One that works and allows Apache
to keep working.  Thanks Ivan.  I'll just use it the way it is for now.

-- 
George Hester
__________________________________
"Igor Pechtchanski" <[email-masked]> wrote in message news:[email-masked]...
> On Mon, 22 Mar 2004, George Hester wrote:
> 
> > http.log
> >
> > fopen: Permission denied
> > httpd: could not open error log file /var/log/apache/error_log.
> > fopen: Permission denied
> > httpd: could not open error log file /var/log/apache/error_log.
> > fopen: Permission denied
> > httpd: could not open error log file /var/log/apache/error_log.
> >
> >
> > Apachehttpd.log
> > fopen: Permission denied
> > httpd: could not open error log file /var/log/apache/error_log.
> >
> > Apache.log
> > fopen: Permission denied
> > httpd: could not open error log file /var/log/apache/error_log.
> > fopen: Permission denied
> > httpd: could not open error log file /var/log/apache/error_log.
> >
> > Looks to me the change I made resulted in the loss of permissions.  I
> > have uninstalled and reinstalled and uninstalled and reinstalled and
> > Apache.  Still broke.
> 
> Right -- these files aren't created as part of the Apache install.  Did
> you try "chmod a+rw /var/log/apache/*"?
> 
> I suspect that what happened was: the files got created when you ran httpd
> from the command line (with your userid as the owner); then, when you
> installed it as a service, the logs didn't get re-created, and SYSTEM
> couldn't write to them...
> Igor
> -- 
> http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_ [email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_ [email-masked]
>      |,4-  ) )-,_. ,\ (  `'-' Igor Pechtchanski, Ph.D.
>     '---''(_/--'  `-'\_) fL a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
> 
> "I have since come to realize that being between your mentor and his route
> to the bathroom is a major career booster."  -- Patrick Naughton
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/